## ipywidgets 8.1.5

=== .binder/requirements.txt ===
bqplot
ipyleaflet
jupyterlab-myst
jupyterlab==4.0.7
matplotlib
nbclassic
networkx
notebook==7.0.5
numpy
pandas
scikit-image
scikit-learn
sympy
