=== debian/changelog ===
ipywidgets (8.1.5-6) unstable; urgency=medium

  * Team upoad
  * run autopkgtest for all python version
  * d/rules: do not run javascript test (is is not ready yet)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 11 Mar 2025 09:47:08 +0100

ipywidgets (8.1.5-5) unstable; urgency=medium

  * Team upload.
  * break and replace jupyter-nbextension-jupyter-js-widgets

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 11 Mar 2025 09:28:28 +0100

ipywidgets (8.1.5-3) unstable; urgency=medium

  * Team upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jan 2025 11:01:20 -0500

ipywidgets (8.1.5-2) unstable; urgency=medium

  * Team upload.
  * Re-Added python3-widgetsnbextension and python3-jupyterlab-widgets
    packages.
    They register the widgets for jupyterlab and the notebooks.

    ~$ jupyter labextension list
    JupyterLab v4.0.11
      /usr/share/jupyter/labextensions
        @jupyter-widgets/jupyterlab-manager v5.0.13 enabled OK (python,
        jupyterlab_widgets)

    ~$ jupyter nbextension list
    Known nbextensions:
      config dir: /etc/jupyter/nbconfig
        notebook section
          jupyter-js-widgets/extension  enabled
            - Validating: OK
  * Bug fix: "Errors when instantising widgets in Notebook - validation in
    Javascript fails (timeout)", thanks to Christian Holm Christensen
    (Closes: #1010797).
  * Bug fix: "fails to configure: json.decoder.JSONDecodeError", thanks to
    Norbert Preining (Closes: #875538).
  * Bug fix: "fails to remove (python error)", thanks to alberto (Closes:
    #849879).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1047065).
  * Bug fix: "Fails to build binary packages again after successful
    build", thanks to Lucas Nussbaum (Closes: #1049484).
  * Bug fix: "please include the javascript libraries", thanks to Julian
    Gilbey (Closes: #982752).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 25 Dec 2024 18:24:08 +0100

ipywidgets (8.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Sep 2024 01:02:46 +0100
