=== debian/control ===
Source: ipywidgets
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Gordon Ball <gordon@chronitis.net>,
 Ximin Luo <infinity0@debian.org>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Standards-Version: 4.6.2
Homepage: https://github.com/jupyter-widgets/ipywidgets
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-nodejs,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 chai <!nocheck>,
 fonts-font-awesome,
 jupyter,
 jupyterlab,
 libjs-mathjax,
 libjs-requirejs,
 libjs-sizzle,
 node-ajv,
 node-backbone,
 node-css-loader,
 node-d3,
 node-d3-color,
 node-d3-format,
 node-es6-promise,
 node-expect.js,
 node-file-loader,
 node-find-root,
 node-jquery,
 node-jquery-ui,
 node-jupyterlab,
 node-jupyterlab-rendermime-interfaces,
 node-less,
 node-license-webpack-plugin,
 node-lodash,
 node-lumino,
 node-minipass,
 node-nouislider,
 node-postcss,
 node-postcss-cli,
 node-process,
 node-recast,
 node-requirejs,
 node-sanitize-html,
 node-semver,
 node-sinon,
 node-sinon-chai <!nocheck>,
 node-style-loader,
 node-types-estree,
 node-types-sanitize-html,
 node-types-underscore,
 node-typescript,
 node-underscore,
 node-url-loader,
 npm,
 pandoc,
 pkg-js-tools,
 python3-all,
# python3-bqplot,
 python3-comm (>= 0.2.1),
 python3-ipykernel <!nocheck>,
 python3-ipython,
 python3-jsonschema <!nocheck>,
 python3-jupyter-packaging,
 python3-matplotlib,
 python3-nbsphinx,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytz <!nocheck>,
 python3-recommonmark,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-traitlets,
 webpack,
Vcs-Git: https://salsa.debian.org/python-team/packages/ipywidgets.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ipywidgets
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-ipywidgets
Architecture: all
Depends:
 python3-comm (>= 0.2.1),
 python3-jupyterlab-widgets,
 python3-widgetsnbextension,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ipywidgets-doc,
Description: Interactive widgets for the Jupyter notebook (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs the library for Python 3 notebooks.

Package: python-ipywidgets-doc
Architecture: all
Section: doc
Depends:
 libjs-mathjax,
 libjs-requirejs,
 node-jupyter-widgets-html-manager,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Interactive widgets for the Jupyter notebook (documentation)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package installs documentation.

Package: python3-widgetsnbextension
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-notebook,
Breaks:
 jupyter-nbextension-jupyter-js-widgets (<< 8.1.5-5),
Replaces:
 jupyter-nbextension-jupyter-js-widgets,
 jupyter-nbextension-jupyter-js-widgets (<< 8.1.5-5),
Description: Interactive widgets - Jupyter notebook extension (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyter notebook extension as a Python 3
 module that may be installed via the notebook.nbextensions executable module.

Package: python3-jupyterlab-widgets
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 jupyterlab,
Description: Interactive widgets - Jupyterlab extension (Python 3)
 Notebooks come alive when interactive widgets are used. Learning becomes an
 immersive and fun experience. Researchers can easily see how changing inputs
 to a model impact the results.
 .
 This package contains the server-side Jupyterlab extension as a Python 3
 module that may be installed via the jupyterlab.labextensions executable module.
