=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1 # can also set this on each debian/rules command line
export LC_ALL=C.UTF-8

PYVERS=$(shell python3 -c 'import sysconfig;print (sysconfig.get_python_version())')
PYPATH=$(CURDIR)/debian/python3-ipywidgets/usr/lib/python$(PYVERS)/dist-packages

export YARNCOMMND=pkgjs-run

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --buildsystem=nodejs

	PYBUILD_NAME=jupyterlab_widgets dh_auto_clean --buildsystem=pybuild -- --dir python/jupyterlab_widgets
	PYBUILD_NAME=widgetsnbextension dh_auto_clean --buildsystem=pybuild -- --dir python/widgetsnbextension
	PYBUILD_NAME=ipywidgets         dh_auto_clean --buildsystem=pybuild -- --dir python/ipywidgets

override_dh_auto_configure:
	dh_auto_configure --buildsystem=nodejs

	PYBUILD_NAME=jupyterlab_widgets dh_auto_configure --buildsystem=pybuild -- --dir python/jupyterlab_widgets
	PYBUILD_NAME=widgetsnbextension dh_auto_configure --buildsystem=pybuild -- --dir python/widgetsnbextension
	PYBUILD_NAME=ipywidgets         dh_auto_configure --buildsystem=pybuild -- --dir python/ipywidgets

override_dh_auto_build:
	dh_auto_build --buildsystem=nodejs

	PYBUILD_NAME=jupyterlab_widgets dh_auto_build --buildsystem=pybuild -- --dir python/jupyterlab_widgets
	PYBUILD_NAME=widgetsnbextension dh_auto_build --buildsystem=pybuild -- --dir python/widgetsnbextension
	PYBUILD_NAME=ipywidgets         dh_auto_build --buildsystem=pybuild -- --dir python/ipywidgets

XXXoverride_dh_sphinxdoc:
	dh_install
	PYTHONPATH=$(PYPATH) python3 -m sphinx -N -bhtml docs/source debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html
	ln -s /usr/share/javascript/requirejs/require.min.js debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html/_static
	mkdir -p debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html//nodejs/@jupyter-widgets/html-manager/dist
	touch debian/python-ipywidgets-doc/usr/share/doc/python-ipywidgets-doc/html//nodejs/@jupyter-widgets/html-manager/dist/embed-amd.js
	dh_sphinxdoc

override_dh_auto_install:
	PYBUILD_NAME=jupyterlab_widgets dh_auto_install --buildsystem=pybuild -- --dir python/jupyterlab_widgets
	PYBUILD_NAME=widgetsnbextension dh_auto_install --buildsystem=pybuild -- --dir python/widgetsnbextension
	PYBUILD_NAME=ipywidgets         dh_auto_install --buildsystem=pybuild -- --dir python/ipywidgets

	# move the extension configuration
	cd debian/python3-widgetsnbextension; mv -f usr/etc .

override_dh_auto_test:
#	dh_auto_test --buildsystem=nodejs

	cd python/ipywidgets ; PYTHONPATH=$(PYPATH) pytest --cov=ipywidgets ipywidgets # || true

#override_dh_gencontrol:
#	echo "js:Built-Using=$(BUILTUSING)" >> debian/jupyter-nbextension-jupyter-js-widgets.substvars
#	dh_gencontrol
