=== debian/tests/control ===
Tests: python3
Depends:
 python3-all,
 python3-ipykernel,
 python3-ipywidgets,
 python3-jsonschema,
 python3-pytest,
 python3-pytest-cov,
 python3-pytz,
Restrictions:
 allow-stderr,
 flaky,
